import "./tasks/spladder_EC.wdl" as spladder_EC


workflow {{ project_name }} {
    String sample_id
    File bam
    File reference_gtf_file
    File spladder
    File samples


    String event_types
    String spladder_docker
    String spladder_cluster
    String disk_size	

	call spladder_EC.spladder_EC as spladder_EC {
		input:
		reference_gtf_file=reference_gtf_file,
		sample_id=sample_id,
		bam=bam,
		spladder=spladder,
		samples=samples,
		event_types=event_types,
		spladder_docker=spladder_docker,
		spladder_cluster=spladder_cluster,
		disk_size=disk_size
	}
}